# Get a Pressurised Report

# Instructions for Interface Calls

http 请求方式:POST
https://api.weixin.qq.com/product/decoration/wxaproduct_decoration_get_pressure_test_report?access_token=xxx

# Example of request parameters

{
    "pressure_id" : 666
}

# Examples of back-up

{
    "blankpage_pencent": 25,
    "aver_time_cost": 2411,
    "max_time_cost": 4390,
    "total_launch_cnt": 64786,
    "total_request_cnt": 1419,
    "network_list": [
        {
            "path": "https://cube.weixinbridge.com/cube/report/reportbizdata",
            "aver_time_cost": 82,
            "max_time_cost": 1108,
            "total_request_cnt": 1419,
            "succ_percent": 100
        }
    ],
    "appid": "wxb24cc230ace685a3",
    "run_time": 300,
    “status”: 1
    "errcode": 0,
    "errmsg":""
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
pressure_id number yes Pressure id

# Dxplaination of callback parameters

参数 type Introductions
status number 1: In line; 2: Under pressure; 3: Pressure failure 4: Pressure termination
errcode number Error code: 10007: Pressure test id does not exist; 10003: Get a pressure report failed. Check the pressure state; Other: System Error
errmsg string Error message
blankpage_pencent number White page percentage of open pages
aver_time_cost number Average page opening time in ms
max_time_cost number Maximum time to open a page in ms
total_launch_cnt number How many times have the page been opened?
total_request_cnt number How many web requests have been made?
appid string Weixin Mini Program id
run_time number Pressure measurement time, unit s
pressure_id number Pressure ID
network_list array Statistics of network requests
network_list.path string Network request path
network_list.aver_time_cost number The average time of the path in ms
network_list.max_time_cost number Maximum time spent on this path in ms
network_list.total_request_cnt number How many times have you requested this path?
network_list.succ_percent number The success rate of requesting this path

# Note

  • Only the pressure_id returned by the Weixin Mini Program submission can be queried.